/* Disable "Place Your Order" button initially */
.is-invalid [data-id="btn_submit_order"],
.is-readonly #email {
    pointer-events: none;
    opacity: 0.6;
}

.is-readonly input#email[type][readonly] {
    background-color: rgba(0, 0, 0, .1) !important;
}

.is-invalid,
.is-readonly {
    cursor: not-allowed;
}

/* Email input invalid state */
#email.invalid-email {
    border-color: red !important;
}

/* Spinner/Loader when validating email */
.is-validating {
    position: relative;
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

.is-validating::after {
    content: '';
    display: block;
    width: 2em;
    height: 2em;
    border: 3px solid darkgrey;
    border-top-color: transparent;
    border-radius: 2em;
    position: absolute !important;
    top: 9px;
    right: 20px;
    animation: spin 1s infinite;
}

#error-dialog {
    max-width: min(512px, 100% - 20px);
    border: none;
    border-radius: 5px;
    padding: 20px;
}

#error-dialog::backdrop {
    background-color: rgba(0,0,0,.4);
}

#error-dialog .dialog-message {
    border-bottom: 1px solid black;
    color: #595959;
    text-align: center;
    margin-bottom: .4em;
    font-family: verdana, serif;
    font-size: 19px;
    font-weight: 600;
    line-height: 24px;
}

#error-dialog .dialog-action {
    display: block;
    margin: 20px auto 0;
    padding: .625em 2em;
    background-color: #3085d6;
    border-radius: .25em;
    color: white;
    cursor: pointer;
    font-size: 15px;
    font-weight: 600;
    line-height: 25px;
}

#error-dialog .dialog-action:hover {
    background-color: #2b77bf;
}

